{{sidenavigation.sidenavigationExpandLabel}}
{{getMsg('Help_YouAreHere')}}: /  {{page.title}} {{page.title}}
{{$root.getMsg("downLoadHelpAsPdf")}} {{helpModel.downloadHelpPdfDataStatus}}

Help

/api/help

Entry point of the help WebAPI. Provides the help tree and triggers help searches.

GET /api/help

Returns the help tree of the current product.

Parameters

Name Location Type Required Description
fields query string no Comma-separated readable properties to include in the JSON response.

Response

Status Content Type Schema Description
200 application/json HelpPageList help page tree

Example Request

# Request
GET /api/help HTTP/1.1
Accept: application/json
Authorization: Bearer <access-token>

# Response
HTTP/1.1 200 OK
Content-Type: application/json

{
    "coreApplication": {
        "childPages": [
            
        ],
        "alternativeKeys": [
            "string"
        ],
        "title": "string",
        "key": "string",
        "url": "string"
    },
    "other": [
        {
            "childPages": [
                
            ],
            "alternativeKeys": [
                
            ],
            "title": "string",
            "key": "string",
            "url": "string"
        }
    ],
    "aiHelpSearchEnabled": true,
    "applicationModules": [
        {
            "childPages": [
                
            ],
            "alternativeKeys": [
                
            ],
            "title": "string",
            "key": "string",
            "url": "string"
        }
    ],
    "applicationName": "string"
}

Common Error Responses

The status codes 400, 403, 404, 405, 406, 409, 413, 415, and 500 use the same ApiError JSON error format:

{
    "status": 404,
    "code": "route_not_found",
    "message": "The requested API route does not exist.",
    "details": []
}

Schemas

Request and response schemas used on this page.

HelpPageList

Property Type Required Description
coreApplication HelpPageDescription no —
other array<HelpPageDescription> no —
aiHelpSearchEnabled boolean no —
applicationModules array<HelpPageDescription> no —
applicationName string no —
publicDocCenter string no —
canPrint boolean no —

HelpPageDescription

Property Type Required Description
childPages array<HelpPageDescription> no —
alternativeKeys array<string> no —
title string no —
key string no —
url string no —

ApiError

Property Type Required Description
status integer (int32) yes —
code string yes —
message string yes —
details array<object> no —
i-net PDFC
This application uses cookies to allow login. By continuing to use this application, you agree to the use of cookies.


Help